ASUS TM-AC1900 unable to downgrade

Demontager

New Around Here
I have TM-AC1900 router and i tried to make it act as Aimesh node. After many unsuccessful tries to add it as node i googled and found that i have missed to downgrade firmware first therefore I made mistake and uploaded Merlin 386.7.2.
I tried to use Asus Restore Tool to flash FW_RT_AC68U_30043763626.trx, but it says router not in Recovery Mode, sure it was(diode blinking).
 
Last edited by a moderator:

RMerlin

Asuswrt-Merlin dev
This is a TM-AC1900, therefore you must flash a TM-AC1900 firmware. The RT-AC68U firmware does not support that model.
 

Demontager

New Around Here
Yes, but i'm trying to do cross-flasing tm-ac1900 to rt-ac68u according to manual
 
Last edited by a moderator:

Joshuajackson

Regular Contributor
just flash your stock firmware and then upload the asus firmware you want
 

RMerlin

Asuswrt-Merlin dev
Yes, but i'm trying to do cross-flasing tm-ac1900 to rt-ac68u according to manual
Cross-flashing is not supported, and discussions on how to force it are disallowed on these forums, sorry.

 

Similar threads

Sign Up For SNBForums Daily Digest

Get an update of what's new every day delivered to your mailbox. Sign up here!
Top